Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19801

Description

An error occurs when using the Lines to Polygons tool to convert multilines to polygons. The tool works on a test data with 27 features but

fails when excecuting it on the actual dataset. The error that I am getting:

Uncaught error while executing algorithm

Traceback (most recent call last):

Traceback (most recent call last):

  File "C:/PROGRA~1/QGISCH~1/apps/qgis/./python/plugins\\processing\\core\\GeoAlgorithm.py", line 217, in execute

    self.processAlgorithm(progress)

  File "C:/PROGRA~1/QGISCH~1/apps/qgis/./python/plugins\\processing\\algs\\qgis\\ftools\\LinesToPolygons.py", line 72, in

processAlgorithm

    outFeat.setGeometry(QgsGeometry.fromPolygon(polyGeom))

TypeError: QgsFeature.setGeometry(QgsGeometry): argument 1 has unexpected type 'NoneType'

History

#1 - 2014-11-03 12:18 PM - Giovanni Manghi

- Status changed from Open to Feedback

it works just fine on qgis 2.6 on Windows.

You should:

    -  upgrade to qgis 2.6

    -  check that in .qgis2/pyhton/plugins you don't have any "processing" folder, if you have delete that folder and restart qgis.

#2 - 2014-11-03 12:19 PM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#3 - 2014-11-22 02:05 AM - Alexander Bruy

Works fine here.

#4 - 2015-04-10 05:27 AM - Alexander Bruy

- Status changed from Feedback to Closed
Closed for the lack of feedback. Reopen if necessary

Files

testData.zip 3.87 KB 2014-11-03 Ammar Sh
